From: Sergey Alyoshin <alyoshin.s@gmail.com>
Date: Wed, 30 Jan 2019 13:04:39 +0300
Subject: Fix -Werror=format-security problem

Compilation with -Werror=format-security will result in
error: format not a string literal and no format arguments
---
 src/drill_stats.c | 4 ++--
 src/gerb_image.c  | 2 +-
 src/gerbv.c       | 4 ++--
 src/interface.c   | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/src/drill_stats.c b/src/drill_stats.c
index de3897e..6266742 100644
--- a/src/drill_stats.c
+++ b/src/drill_stats.c
@@ -178,7 +178,7 @@ gerbv_drill_stats_add_layer(gerbv_drill_stats_t *accum_stats,
     for (error = input_stats->error_list; error != NULL; error = error->next) {
 	if (error->error_text != NULL)
 	    gerbv_stats_printf(accum_stats->error_list, error->type,
-		    this_layer, error->error_text);
+		    this_layer, "%s", error->error_text);
     }
 
     /* ==== Now deal with the misc header stuff ==== */
@@ -210,7 +210,7 @@ gerbv_drill_stats_add_layer(gerbv_drill_stats_t *accum_stats,
 	 error = error->next) {
 	if (error->error_text != NULL) {
 	    gerbv_stats_printf(accum_stats->error_list, error->type,
-			    this_layer, error->error_text);
+			    this_layer, "%s", error->error_text);
 	}
     }
 
diff --git a/src/gerb_image.c b/src/gerb_image.c
index 28f8f7d..3364c29 100644
--- a/src/gerb_image.c
+++ b/src/gerb_image.c
@@ -295,7 +295,7 @@ gerbv_image_dump(gerbv_image_t const* image)
     while (net){
 	printf(_("(%f,%f)->(%f,%f) with %d ("), net->start_x, net->start_y,
 	       net->stop_x, net->stop_y, net->aperture);
-	printf(_(gerbv_interpolation_name(net->interpolation)));
+	printf("%s", _(gerbv_interpolation_name(net->interpolation)));
 	gerbv_image_aperture_state(net->aperture_state);
 	printf(")\n");
 	net = net->next;
diff --git a/src/gerbv.c b/src/gerbv.c
index ce86b38..26d0b43 100644
--- a/src/gerbv.c
+++ b/src/gerbv.c
@@ -560,8 +560,8 @@ gerbv_open_image(gerbv_project_t *gerbvProject, char *filename, int idx, int rel
     } else if (gerber_is_rs274d_p(fd)) {
 	gchar *str = g_strdup_printf(_("Most likely found a RS-274D file "
 			"\"%s\" ... trying to open anyways\n"), filename);
-	dprintf(str);
-	g_warning(str);
+	dprintf("%s", str);
+	g_warning("%s", str);
 	g_free (str);
 
 	if (!foundBinary || forceLoadFile) {
diff --git a/src/interface.c b/src/interface.c
index 7e036df..5d6a00f 100644
--- a/src/interface.c
+++ b/src/interface.c
@@ -75,7 +75,7 @@ rename_main_window(char const* filename, GtkWidget *main_win)
 		g_string_printf(win_title, "%s — Gerbv", basename);
 		g_free(basename);
 	} else {
-		g_string_printf(win_title, _(gerbv_win_title));
+		g_string_printf(win_title, "%s", _(gerbv_win_title));
 	}
 
 	gtk_window_set_title(GTK_WINDOW(win), win_title->str);
